Admin APIs/Driver Management
Create Driver
POST
/admin/driversBearer token required
ADMINContent-Type:
application/jsonRequest Example
JSON
{
"name": "Ramesh Kumar",
"mobilePrefix": "+91",
"mobile": "9876543210",
"email": "ramesh@fleet.co",
"primaryUserid": 20,
"username": "ramesh_driver",
"password": "DriverP@ss123",
"countryCode": "IN",
"stateCode": "DL",
"city": "New Delhi",
"address": "123 Driver Lane",
"pincode": "110001"
}Code Examples
curl -X POST 'https://<your-domain>:3001/admin/drivers' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "Ramesh Kumar",
"mobilePrefix": "+91",
"mobile": "9876543210",
"email": "ramesh@fleet.co",
"primaryUserid": 20,
"username": "ramesh_driver",
"password": "DriverP@ss123",
"countryCode": "IN",
"stateCode": "DL",
"city": "New Delhi",
"address": "123 Driver Lane",
"pincode": "110001"
}'